2

I'm trying to install samba package on Debian 3.16.39-1 but I'm running on unmet dependencies error.

This is output result of : apt-get install samba

Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 samba : Depends: heimdal-hdb-api-8 but it is not installable
         Depends: python-dnspython but it is not installable
         Depends: python-ntdb but it is not installable
         Depends: python-samba but it is not going to be installed
         Depends: samba-common-bin (= 2:4.2.14+dfsg-0+deb8u2) but it is not going to be installed
         Recommends: attr but it is not installable
         Recommends: samba-vfs-modules but it is not going to be installed

This is the output error :

E: Unable to correct problems, you have held broken packages.

I though I add an issue with /etc/apt/sources.list after comment the line #deb cdrom .. but I was able successfully install the package samba-common.

After backup and change my sources.list I run the following command :

apt-get update
apt-get upgrade
apt-get autoclean
apt-get -f install

This is the output of /etc/apt/sources.list :

    # 

# deb cdrom:[Debian GNU/Linux 8.7.1 _Jessie_ - Official amd64 DVD Binary-1 20170116-11:01]/ jessie contrib main

# deb cdrom:[Debian GNU/Linux 8.7.1 _Jessie_ - Official amd64 DVD Binary-1 20170116-11:01]/ jessie contrib main

deb http://security.debian.org/ jessie/updates main contrib
deb-src http://security.debian.org/ jessie/updates main contrib

# jessie-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
# deb http://ftp.debian.org/debian/ jessie-updates main contrib
# deb-src http://ftp.debian.org/debian/ jessie-updates main contrib

But I'm unfortunately still facing the same issue. Thanks for your help.

  • What is the content of your /etc/apt/sources.list ? – GAD3R Mar 8 '17 at 15:43
  • @GAD3R My bad I forgot to add the content of my sources.list. Just edit my post with the information. – Alexandre Roux Mar 8 '17 at 16:24
  • I suppose that was Debian 8.x, not 3.x. If you copied that version string, where from (in case you still happen to remember)? Just out of curiosity. (Looks plausible as a kernel version, for example.) – lunakid Aug 5 '18 at 14:53
2

Edit your /etc/apt/sources.list as follows:

deb http://httpredir.debian.org/debian jessie main contrib
deb-src http://httpredir.debian.org/debian jessie main contrib

deb http://httpredir.debian.org/debian jessie-updates main contrib
deb-src http://httpredir.debian.org/debian jessie-updates main contrib

deb http://security.debian.org/ jessie/updates main contrib 
deb-src http://security.debian.org/ jessie/updates main contrib

Save and run the following command:

sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

sudo apt-get install samba
  • Thanks very much for your help GAD3R. For my own understanding do you know why this source are not present from scratch after installation? – Alexandre Roux Mar 8 '17 at 16:38
  • Maybe you are installing debian without checking a mirror – GAD3R Mar 8 '17 at 16:46

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.